org.eclipse.ltk.core.refactoring.participants

## Class CopyProcessor

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor
    - - org.eclipse.ltk.core.refactoring.participants.CopyProcessor

All Implemented Interfaces:
  IAdaptable

    public abstract class CopyProcessor
    extends RefactoringProcessor

A special processor that performs copy operations. A copy processor is responsible for actually copying elements to a shared clipboard.

This class should be subclassed by clients wishing to provide a special copy processor.

The main purpose of this class is type safety for the generic copy refactoring

Since:
  3.1

### Constructor Summary

Constructors
Constructor and Description
`CopyProcessor()`

### Method Summary

### Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor

`checkFinalConditions, checkInitialConditions, createChange, getElements, getIdentifier, getProcessorName, getRefactoring, isApplicable, loadParticipants, postCreateChange`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CopyProcessor

    public CopyProcessor()